Loading...
Searching...
No Matches
RDLog::LogStateSetter Class Reference

`#include <RDLog.h>`

Inheritance diagram for RDLog::LogStateSetter:

## Public Member Functions

| LogStateSetter (RDLoggerList toEnable)
| LogStateSetter ()
| ~LogStateSetter ()

## Detailed Description

Definition at line 138 of file RDLog.h.

## Constructor & Destructor Documentation

## LogStateSetter() [1/2]

RDLog::LogStateSetter::LogStateSetter | ( | RDLoggerList | toEnable | ) |

enables only the logs in the list, the current state will be restored when this object is destroyed

## LogStateSetter() [2/2]

RDLog::LogStateSetter::LogStateSetter | ( |  | ) |

disables all logs, the current state will be restored when this object is destroyed

## ~LogStateSetter()

RDLog::LogStateSetter::~LogStateSetter | ( |  | ) |

The documentation for this class was generated from the following file:

- RDLog.h